## appmenu-registrar 0.7.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.3)
cmake_policy (VERSION 3.3)
project (appmenu-registrar C)
enable_testing ()
include(GNUInstallDirs)
include(FeatureSummary)
include(CMakeDependentOption)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(REGISTRAR_C_FILES
    registrar-main.c
    registrar-dbusmenu.c)
configure_file (config.h.in config.h)

find_package(GLIB2 2.50 REQUIRED QUIET COMPONENTS GOBJECT GIO GIO_UNIX GENMARSHAL)
include(GLibProgramHandlers)
add_glib_marshal(MARSHALC MARSHALH "registrar-marshal" g_cclosure_user_marshal)

file(STRINGS data/com.canonical.AppMenu.Registrar.xml XML_RAW)
string(CONCAT XML_CONTENTS ${XML_RAW})
file(STRINGS data/org.valapanel.AppMenu.Registrar.xml PRIVATE_RAW)
string(CONCAT PRIVATE_CONTENTS ${PRIVATE_RAW})
configure_file(registrar-xml.c.in registrar-xml.c ESCAPE_QUOTES)

cmake_dependent_option(STANDALONE "Build registrar STANDALONE" ON
        "NOT CORE_FOUND" OFF)

if(STANDALONE)
    find_package(VCM NO_MODULE)
    if(VCM_FOUND)
        list(APPEND CMAKE_MODULE_PATH ${VCM_MODULE_PATH})
        include(GitVersion)
        determine_fallback_version_for_subproject(${CMAKE_SOURCE_DIR}/cmake ${CMAKE_SOURCE_DIR}/../../)
        include(${CMAKE_SOURCE_DIR}/cmake/FallbackVersion.cmake)
        set (CPACK_PACKAGE_VERSION ${VERSION})
        set (CPACK_PACKAGE_RELEASE "1")
    else()
        set (CPACK_PACKAGE_VERSION "unknown")
        set (CPACK_PACKAGE_RELEASE "1")
    endif()
    set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
	set (CPACK_SOURCE_IGNORE_FILES "/build/;/.gitmodules;/.git;/.gitignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
	set (CPACK_SOURCE_GENERATOR "TXZ")
	include (CPack)
	add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
endif()


add_executable (appmenu-registrar
    ${CMAKE_CURRENT_BINARY_DIR}/registrar-xml.c
    ${REGISTRAR_C_FILES}
    ${MARSHALC}
    ${RESOURCES}
)
target_link_libraries (appmenu-registrar GLIB2::GIO_UNIX GLIB2::GOBJECT m)
# Install plugin stuffs
install(TARGETS appmenu-registrar DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/vala-panel)

configure_file(data/appmenu-registrar.service.in ${CMAKE_CURRENT_BINARY_DIR}/appmenu-registrar.serivce)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-registrar.serivce DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/dbus-1/services/ RENAME com.canonical.AppMenu.Registrar.service)
add_feature_info(Registrar ON "com.canonical.AppMenu.Registrar provider")

=== debian/changelog ===
appmenu-registrar (0.7.1-1) unstable; urgency=medium

  * Initial upload as standalone source package to Debian. (Closes: #907860).
    (Previously part of vala-panel-appmenu src:pkg).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 21:21:51 +0200

=== debian/control ===
Source: appmenu-registrar
Section: x11
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Martin Wimpress <martin.wimpress@ubuntu.com>,
 Mike Gabriel <sunweaver@debian.org>,
 Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 11~),
               valac (>= 0.24.0),
Standards-Version: 4.2.1
Homepage: https://gitlab.com/vala-panel-project/vala-panel-appmenu
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/appmenu-registrar.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/appmenu-registrar

Package: appmenu-registrar
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Breaks: vala-panel-appmenu-registrar (<< 0.7.1),
Replaces: vala-panel-appmenu-registrar (<< 0.7.1),
Description: Appmenu DBusMenu registrar
 This package provides a standalone Appmenu registrar that allows other
 applications to access any active window's application menu tree.
 .
 Such a registrar is extremely useful for, e.g.
 .
   * implementing global menus (application menus appear in the top
     panel bar of the desktop environment)
   * adding an application menu browser or search engine to HUDs
 .
 The registrar uses the protocol originally published with the Unity7
 desktop environment. It supports all features found in that
 implementation.
 .
 This package is a subproject of the vala-panel-appmenu project.

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--buildsystem=cmake
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ $(DHFLAGS)

override_dh_auto_build:
	dh_auto_build $(DHFLAGS)

override_dh_auto_configure:
	dh_auto_configure $(DHFLAGS) -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_INSTALL_LIBEXECDIR=/usr/lib
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## appmenu-registrar 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
     registrar-main.c
     registrar-dbusmenu.c)
 configure_file (config.h.in config.h)
+configure_file (version.h.in version.h)
 
 find_package(GLIB2 2.50 REQUIRED QUIET COMPONENTS GOBJECT GIO GIO_UNIX GENMARSHAL)
 include(GLibProgramHandlers)

=== debian/changelog ===
appmenu-registrar (0.7.3-2) unstable; urgency=medium

  * debian/{control,rules}:
    + Switch to 'meson' build-system.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Aug 2019 22:10:22 +0200

appmenu-registrar (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Aug 2019 21:51:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
-Build-Depends: cmake (>= 2.8.0),
-               debhelper (>= 11~),
+Build-Depends: meson (>= 0.49.0),
+               debhelper-compat (= 12),
                valac (>= 0.24.0),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://gitlab.com/vala-panel-project/vala-panel-appmenu
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/appmenu-registrar.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/appmenu-registrar
@@ -41,4 +41,7 @@
  desktop environment. It supports all features found in that
  implementation.
  .
+ The menu hiding functionality in appmenu-gtk-module depends on the
+ registrar's presence.
+ .
  This package is a subproject of the vala-panel-appmenu project.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DHFLAGS=--buildsystem=cmake
+DHFLAGS=--buildsystem=meson
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/buildflags.mk

=== debian/watch ===
version=3
https://gitlab.com/vala-panel-project/vala-panel-appmenu/tags .*/uploads/.*/appmenu-registrar-?([\d\.]+)\.tar\.xz

## appmenu-registrar 0.7.3.2

=== debian/changelog ===
appmenu-registrar (0.7.3.2-1) unstable; urgency=medium

  * New upstream version.
  * debian/rules:
    + Drop cmake specific configure flags from dh_auto_configure call.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
    + Add Rules-Requires-Root: field and set it to 'no'.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Aug 2020 21:27:30 +0200

## appmenu-registrar 0.7.6

=== debian/changelog ===
appmenu-registrar (0.7.6-2) unstable; urgency=medium

  * debian/watch:
    + Fix broken watch file; possibly due to changes in gitlab.com.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 00:56:16 +0100

appmenu-registrar (0.7.6-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 31 Oct 2020 10:06:55 +0100

appmenu-registrar (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Oct 2020 16:01:25 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  Mike Gabriel <sunweaver@debian.org>,
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
 Build-Depends: meson (>= 0.49.0),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                valac (>= 0.24.0),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/vala-panel-project/vala-panel-appmenu
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/appmenu-registrar.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/appmenu-registrar

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+NULL=
 
 DHFLAGS=--buildsystem=meson
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -14,7 +16,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure $(DHFLAGS) -- \
-		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-		-DCMAKE_INSTALL_LIBEXECDIR=/usr/lib
+		$(NULL)
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
https://gitlab.com/vala-panel-project/vala-panel-appmenu/-/tags/?([\d\.]+) .*/uploads/.*/appmenu-registrar-?([\d\.]+)\.tar\.xz

## appmenu-registrar 24.05

=== debian/changelog ===
appmenu-registrar (24.05-1ubuntu1) plucky; urgency=medium

  * Remove obsolete runtime depends on appmenu-gtk2-module (Closes: #1095103).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Mar 2025 16:54:51 -0500

appmenu-registrar (24.05-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Fix broken watch file; due to changes in gitlab.com.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 11 Jul 2024 09:33:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: appmenu-registrar
 Section: x11
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -9,7 +10,7 @@
 Build-Depends: meson (>= 0.49.0),
                debhelper-compat (= 13),
                valac (>= 0.24.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/vala-panel-project/vala-panel-appmenu
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/appmenu-registrar.git
@@ -24,7 +25,6 @@
             libdbusmenu-glib4,
             libdbusmenu-gtk3-4,
             libdbusmenu-gtk4,
-            appmenu-gtk2-module,
             appmenu-gtk3-module,
 Breaks: vala-panel-appmenu-registrar (<< 0.7.1),
 Replaces: vala-panel-appmenu-registrar (<< 0.7.1),

=== debian/watch ===
version=4
opts="searchmode=plain,downloadurlmangle=s!uploads!vala-panel-project/vala-panel-appmenu/uploads!" \
 https://gitlab.com/api/v4/projects/vala-panel-project%2Fvala-panel-appmenu/releases \
 /uploads/[0-9a-f]+/registrar-?([\d\.]+)\.tar\.xz

## appmenu-registrar 25.04

=== debian/changelog ===
appmenu-registrar (25.04-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Adjust downloadurlmangle option to new GitLab download path.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 18:23:16 +0200

appmenu-registrar (24.05-2) unstable; urgency=medium

  * debian/control:
    + Drop from D: appmenu-gtk2-module. Not probided in Debian anymore. (Closes:
      #1095103).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 11:41:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: appmenu-registrar
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,

=== debian/watch ===
version=4
opts="searchmode=plain,downloadurlmangle=s!uploads!-/project/6865053/uploads!" \
 https://gitlab.com/api/v4/projects/vala-panel-project%2Fvala-panel-appmenu/releases \
 /uploads/[0-9a-f]+/registrar-?([\d\.]+)\.tar\.xz
